hpp-fcl: hpp::fcl::RSS Struct Reference

hpp-fcl 1.7.5 HPP fork of FCL -- The Flexible Collision Library

Public Member Functions | Public Attributes | List of all members
hpp::fcl::RSS Struct Reference
Bounding volumes

A class for rectangle sphere-swept bounding volume. More...

`#include <hpp/fcl/BV/RSS.h>`

## Public Member Functions
| RSS ()
| More...
bool | operator== (const RSS &other) const
| Equality operator. More...
bool | operator!= (const RSS &other) const
| Difference operator. More...
bool | contain (const Vec3f &p) const
| Check whether the RSS contains a point. More...
bool | overlap (const RSS &other) const
| Check collision between two RSS. More...
bool | overlap (const RSS &other, const CollisionRequest &, FCL_REAL &sqrDistLowerBound) const
| Not implemented. More...
FCL_REAL | distance (const RSS &other, Vec3f *P=NULL, Vec3f *Q=NULL) const
| the distance between two RSS; P and Q, if not NULL, return the nearest points More...
RSS & | operator+= (const Vec3f &p)
| A simple way to merge the RSS and a point, not compact. More...
RSS & | operator+= (const RSS &other)
| Merge the RSS and another RSS. More...
RSS | operator+ (const RSS &other) const
| Return the merged RSS of current RSS and the other one. More...
FCL_REAL | size () const
| Size of the RSS (used in BV_Splitter to order two RSSs) More...
const Vec3f & | center () const
| The RSS center. More...
FCL_REAL | width () const
| Width of the RSS. More...
FCL_REAL | height () const
| Height of the RSS. More...
FCL_REAL | depth () const
| Depth of the RSS. More...
FCL_REAL | volume () const
| Volume of the RSS. More...
bool | overlap (const RSS &other, RSS &) const
| Check collision between two RSS and return the overlap part. For RSS, we return nothing, as the overlap part of two RSSs usually is not a RSS. More...

## Public Attributes
Matrix3f | axes
| Orientation of RSS. axis[i] is the ith column of the orientation matrix for the RSS; it is also the i-th principle direction of the RSS. We assume that axis[0] corresponds to the axis with the longest length, axis[1] corresponds to the shorter one and axis[2] corresponds to the shortest one. More...
Vec3f | Tr
| Origin of the rectangle in RSS. More...
FCL_REAL | length [2]
| Side lengths of rectangle. More...
FCL_REAL | radius
| Radius of sphere summed with rectangle to form RSS. More...

## Detailed Description

A class for rectangle sphere-swept bounding volume.

The documentation for this struct was generated from the following file:

- include/hpp/fcl/BV/RSS.h